package io.renren.modules.app.dao;

import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzDyEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

/**
 * 单位缴款通知书
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface DwjktzsDao extends BaseMapper<YwpzEntity> {

	// 下拉框
	List<XlkEntity> selectdw();

	List<XlkEntity> selectxm(String bm);

	List<XlkEntity> selectlz(String id);

	List<ZhxxEntity> queryByPage(ZhxxEntity zhxxEntity);

	// 保存按钮
	void insertbc(YwpzDyEntity ywpzdyEntity);

	// 查询按钮
	List<YwpzDyEntity> queryByPageC(YwpzDyEntity ywpzDyEntity);
	
	//删除按钮
	void deletedy(XlkEntity xlkEntity);
	String queryByCount(String date);

}
